## batlevel 2.1-0

=== qtsysinfo/Makefile ===
#############################################################################
# Makefile for building: libQtSystemInfo_tp.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Jan 1 13:48:30 2010
# Project:  qtsysteminfo.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile qtsysteminfo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_BUILD_SYSINFO_LIB -DQT_MAKEDLL -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib -shared -Wl,-soname,libQtSystemInfo_tp.so.1
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qsysteminfo.cpp \
		qhalservice_linux.cpp \
		qnetworkmanagerservice_linux.cpp \
		qsysteminfo_linux.cpp 
OBJECTS       = qsysteminfo.o \
		qhalservice_linux.o \
		qnetworkmanagerservice_linux.o \
		qsysteminfo_linux.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		qtsysteminfo.pro
QMAKE_TARGET  = QtSystemInfo_tp
DESTDIR       = 
TARGET        = libQtSystemInfo_tp.so.1.0.0
TARGETA       = libQtSystemInfo_tp.a
TARGETD       = libQtSystemInfo_tp.so.1.0.0
TARGET0       = libQtSystemInfo_tp.so
TARGET1       = libQtSystemInfo_tp.so.1
TARGET2       = libQtSystemInfo_tp.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: qtsysteminfo.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile qtsysteminfo.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtsysteminfo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/QtSystemInfo_tp1.0.0 || $(MKDIR) .tmp/QtSystemInfo_tp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/QtSystemInfo_tp1.0.0/ && $(COPY_FILE) --parents qhalservice_linux_p.h qnetworkmanagerservice_linux_p.h qsysteminfo_linux_p.h qsysteminfo.h .tmp/QtSystemInfo_tp1.0.0/ && $(COPY_FILE) --parents qsysteminfo.cpp qhalservice_linux.cpp qnetworkmanagerservice_linux.cpp qsysteminfo_linux.cpp .tmp/QtSystemInfo_tp1.0.0/ && (cd `dirname .tmp/QtSystemInfo_tp1.0.0` && $(TAR) QtSystemInfo_tp1.0.0.tar QtSystemInfo_tp1.0.0 && $(COMPRESS) QtSystemInfo_tp1.0.0.tar) && $(MOVE) `dirname .tmp/QtSystemInfo_tp1.0.0`/QtSystemInfo_tp1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/QtSystemInfo_tp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
moc_qhalservice_linux_p.cpp: qmobilityglobal.h \
		qhalservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qhalservice_linux_p.h -o moc_qhalservice_linux_p.cpp

moc_qnetworkmanagerservice_linux_p.cpp: qmobilityglobal.h \
		qnetworkmanagerservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qnetworkmanagerservice_linux_p.h -o moc_qnetworkmanagerservice_linux_p.cpp

moc_qsysteminfo_linux_p.cpp: qsysteminfo.h \
		qmobilityglobal.h \
		qhalservice_linux_p.h \
		qsysteminfo_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qsysteminfo_linux_p.h -o moc_qsysteminfo_linux_p.cpp

moc_qsysteminfo.cpp: qmobilityglobal.h \
		qsysteminfo.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qsysteminfo.h -o moc_qsysteminfo.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qsysteminfo.o: qsysteminfo.cpp qsysteminfo.h \
		qmobilityglobal.h \
		qsysteminfo_linux_p.h \
		qhalservice_linux_p.h \
		qsysteminfo_win_p.h \
		qsysteminfo_mac_p.h \
		qsysteminfo_s60_p.h \
		moc_qsysteminfo.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qsysteminfo.o qsysteminfo.cpp

qhalservice_linux.o: qhalservice_linux.cpp qhalservice_linux_p.h \
		qmobilityglobal.h \
		moc_qhalservice_linux_p.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qhalservice_linux.o qhalservice_linux.cpp

=== qtsysinfo/builddir/Makefile ===
#############################################################################
# Makefile for building: libQtSystemInfo.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Dec 28 13:17:09 2009
# Project:  ../qtsysteminfo.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX=/lib -o Makefile ../qtsysteminfo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_BUILD_SYSINFO_LIB -DQT_MAKEDLL -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I../../qtsysteminfo-1.0 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I../../qtsysteminfo-1.0 -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib -shared -Wl,-soname,libQtSystemInfo.so.1
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../qsysteminfo.cpp \
		../qhalservice_linux.cpp \
		../qnetworkmanagerservice_linux.cpp \
		../qsysteminfo_linux.cpp 
OBJECTS       = qsysteminfo.o \
		qhalservice_linux.o \
		qnetworkmanagerservice_linux.o \
		qsysteminfo_linux.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		../qtsysteminfo.pro
QMAKE_TARGET  = QtSystemInfo
DESTDIR       = 
TARGET        = libQtSystemInfo.so.1.0.0
TARGETA       = libQtSystemInfo.a
TARGETD       = libQtSystemInfo.so.1.0.0
TARGET0       = libQtSystemInfo.so
TARGET1       = libQtSystemInfo.so.1
TARGET2       = libQtSystemInfo.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: ../qtsysteminfo.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix PREFIX=/lib -o Makefile ../qtsysteminfo.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX=/lib -o Makefile ../qtsysteminfo.pro

dist: 
	@$(CHK_DIR_EXISTS) ../.tmp/QtSystemInfo1.0.0 || $(MKDIR) ../.tmp/QtSystemInfo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../.tmp/QtSystemInfo1.0.0/ && $(COPY_FILE) --parents ../qhalservice_linux_p.h ../qnetworkmanagerservice_linux_p.h ../qsysteminfo_linux_p.h ../qsysteminfo.h ../.tmp/QtSystemInfo1.0.0/ && $(COPY_FILE) --parents ../qsysteminfo.cpp ../qhalservice_linux.cpp ../qnetworkmanagerservice_linux.cpp ../qsysteminfo_linux.cpp ../.tmp/QtSystemInfo1.0.0/ && (cd `dirname ../.tmp/QtSystemInfo1.0.0` && $(TAR) QtSystemInfo1.0.0.tar QtSystemInfo1.0.0 && $(COMPRESS) QtSystemInfo1.0.0.tar) && $(MOVE) `dirname ../.tmp/QtSystemInfo1.0.0`/QtSystemInfo1.0.0.tar.gz . && $(DEL_FILE) -r ../.tmp/QtSystemInfo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qhalservice_linux_p.cpp moc_qnetworkmanagerservice_linux_p.cpp moc_qsysteminfo_linux_p.cpp moc_qsysteminfo.cpp
moc_qhalservice_linux_p.cpp: ../qmobilityglobal.h \
		../qhalservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../qhalservice_linux_p.h -o moc_qhalservice_linux_p.cpp

moc_qnetworkmanagerservice_linux_p.cpp: ../qmobilityglobal.h \
		../qnetworkmanagerservice_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../qnetworkmanagerservice_linux_p.h -o moc_qnetworkmanagerservice_linux_p.cpp

moc_qsysteminfo_linux_p.cpp: ../qsysteminfo.h \
		../qmobilityglobal.h \
		../qhalservice_linux_p.h \
		../qsysteminfo_linux_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../qsysteminfo_linux_p.h -o moc_qsysteminfo_linux_p.cpp

moc_qsysteminfo.cpp: ../qmobilityglobal.h \
		../qsysteminfo.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../qsysteminfo.h -o moc_qsysteminfo.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qsysteminfo.o: ../qsysteminfo.cpp ../qsysteminfo.h \
		../qmobilityglobal.h \
		../qsysteminfo_linux_p.h \
		../qhalservice_linux_p.h \
		../qsysteminfo_win_p.h \
		../qsysteminfo_mac_p.h \
		../qsysteminfo_s60_p.h \
		moc_qsysteminfo.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qsysteminfo.o ../qsysteminfo.cpp

=== debian/changelog ===
batlevel (2.1-0) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)
  * ver 2.0-5 - changes due to optification
  * ver 2.0-7 - changes due to optification
  * ver 2.1-0 - added user defined polling and removed QT mobility dependency
    as its still TP and not released by QT

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

## batlevel 2.1-1

=== debian/changelog ===
batlevel (2.1-1) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)
  * ver 2.0-5 - changes due to optification
  * ver 2.0-7 - changes due to optification
  * ver 2.1-0 - added user defined polling and removed QT mobility dependency
    as its still TP and not released by QT
  * ver 2.1-1 - fixed run_lshal script and run_batlevel

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== qtsysinfo/debian/changelog ===
qtsysteminfo (1.0-3) unstable; urgency=low

  * Optified release

 -- rama kurvakat <rkmaemo@gmx.com>  Mon, 28 Dec 2009 11:57:34 -0800

=== debian/control ===
Source: batlevel
Section: user/desktop
Priority: extra
Maintainer: rama kurvakat <rkmaemo@gmx.com>
Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev 
#Build-Depends: debhelper (>= 5) 
Standards-Version: 3.8.1
Homepage: <insert the upstream URL, if relevant>

Package: batlevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A QT based widget to display battery level
 Styles and colors can be changed using settings now.
 Polling interval can be changed to keep minimum impact on power consumption.
 On tapping the battery icon , it displays more detailed information.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsQAAA7EAZUrDhsAAAJ0SURB
 VEhL1ZZvbxJBEMZ/d9e7UmgRkELwhQoawGr7AcoX9bM0vrOJaXxlY0y0RvnT
 plAJECj/y52zVzVKF3LB1sRJJpPb291n57nnZtbwxPgHZgbFyOfzbGyESKdT
 JJNJbNumUCgEXY4WqN/vk8lkME2TSCRCNBplOBhwfHxMo3FBs9nk1cEBs9mM
 cDhMKBTCMAxS6TSXslZnho66bDZLIhGjVCqx+2KPQrFILpfzN1SuuJ6MRozH
 Y+r1Oqe1GrVqldeHh7w5OqJSqdzA0mZULpdxbIfBYEiv16PT6dBqtZhOpz5l
 jrgCUWPtdptut+vPS6dSVAVQZ1ogRRlybmNuhbDjg00mE+1mruuyZlnBgfyZ
 Wi3OQwfWgl4M1zgGrriHhWesSbQl2mA6v7l6Fpf3GJKJsVjE2jfqz9p0POLr
 U+45PbbMJiHvlLXJFxieQP8TDD5LLIvXZOwcRk3xthxRn7VWdaZpUcq47D6C
 Z4/hicSHGdhOQiQs2V5Br4OIARrf4PwCTutwJvHle1u+481vqM1I/RNTJWE5
 nPIrmTUTdjxxhDnW51yNKVfvF9hCUhUBvv9gwg+ra2GxGILrKdjM5bVuUQZL
 y7B+0XKgRRsupVC/KHD1DkbQCmL4243n199BRqt8o1tM6w4y+q/E8POwK1xn
 tNS57kzbklRVNxP7WPF9pIfcMFPVxSupuBrTAj0t7DCSqhqRVrMVgngE7kch
 FYew8db37ZiMbUJMqnlUiuyWzD27hFx+RwukbROqVRef73H29aNcRhwsy5Qb
 kRzXb2zXvHmSket6zKR9qzgeT3iQLXLy4R2Oo0r5n6YFukVV/9rqO0Hb27SJ
 qJObAAAAAElFTkSuQmCC

## batlevel 2.1-2

=== debian/changelog ===
batlevel (2.1-2) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)
  * ver 2.0-5 - changes due to optification
  * ver 2.0-7 - changes due to optification
  * ver 2.1-0 - added user defined polling and removed QT mobility dependency
    as its still TP and not released by QT
  * ver 2.1-1 - fixed run_lshal script and run_batlevel
  * ver 2.1-2 - does not poll when screen is off, removed apply style button

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

## batlevel 2.1-3

=== debian/changelog ===
batlevel (2.1-3) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)
  * ver 2.0-5 - changes due to optification
  * ver 2.0-7 - changes due to optification
  * ver 2.1-0 - added user defined polling and removed QT mobility dependency
    as its still TP and not released by QT
  * ver 2.1-1 - fixed run_lshal script and run_batlevel
  * ver 2.1-2 - does not poll when screen is off, removed apply style button
  * ver 2.1-3 - updates the level as soon as screen is on then the polling
    timer starts.changed polling interval steps to 10 seconds with max 500 sec

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: rama kurvakat <rkmaemo@gmx.com>
-Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev 
-#Build-Depends: debhelper (>= 5) 
+Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev , mce-dev
 Standards-Version: 3.8.1
 Homepage: <insert the upstream URL, if relevant>
 
@@ -13,7 +12,9 @@
 Description: A QT based widget to display battery level
  Styles and colors can be changed using settings now.
  Polling interval can be changed to keep minimum impact on power consumption.
- On tapping the battery icon , it displays more detailed information.
+ The widget stops polling when screen is off to save battery.
+ On tapping the battery icon , it displays more detailed information as
+ shown by the hal-device bme command.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsQAAA7EAZUrDhsAAAJ0SURB

## batlevel 2.1-4

=== Makefile ===
#############################################################################
# Makefile for building: batlevel
# Generated by qmake (2.01a) (Qt 4.6.1) on: Wed Feb 10 12:23:25 2010
# Project:  batlevel.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile batlevel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/opt/batlevel/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/main.cpp \
		src/widget.cpp moc_widget.cpp
OBJECTS       = main.o \
		widget.o \
		moc_widget.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		batlevel.pro
QMAKE_TARGET  = batlevel
DESTDIR       = 
TARGET        = batlevel

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: batlevel.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile batlevel.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile batlevel.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/batlevel1.0.0 || $(MKDIR) .tmp/batlevel1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/batlevel1.0.0/ && $(COPY_FILE) --parents src/widget.h .tmp/batlevel1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/widget.cpp .tmp/batlevel1.0.0/ && (cd `dirname .tmp/batlevel1.0.0` && $(TAR) batlevel1.0.0.tar batlevel1.0.0 && $(COMPRESS) batlevel1.0.0.tar) && $(MOVE) `dirname .tmp/batlevel1.0.0`/batlevel1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/batlevel1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp
moc_widget.cpp: src/widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/widget.h -o moc_widget.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: src/main.cpp src/widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

widget.o: src/widget.cpp src/widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o src/widget.cpp

moc_widget.o: moc_widget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_widget.o moc_widget.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/batlevel/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/batlevel/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/batlevel/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/batlevel/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/batlevel/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/batlevel/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/batlevel/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/opt/batlevel/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/ram/MYQT/batlevel-2.0/batlevel.desktop $(INSTALL_ROOT)/opt/batlevel/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/batlevel/share/applications/hildon/batlevel.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/batlevel/share/applications/hildon/ 


install_script: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/batlevel/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/batlevel/bin/ 
	-$(INSTALL_PROGRAM) /home/ram/MYQT/batlevel-2.0/run_batlevel $(INSTALL_ROOT)/opt/batlevel/bin/
	-strip $(INSTALL_ROOT)/opt/batlevel/bin/run_batlevel
	-$(INSTALL_PROGRAM) /home/ram/MYQT/batlevel-2.0/run_lshal $(INSTALL_ROOT)/opt/batlevel/bin/
	-strip $(INSTALL_ROOT)/opt/batlevel/bin/run_lshal


uninstall_script:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/batlevel/bin/run_batlevel 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/opt/batlevel/bin/run_lshal
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/batlevel/bin/ 


install:  install_target install_desktop install_script  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_script   FORCE

FORCE:

=== debian/changelog ===
batlevel (2.1-4) unstable; urgency=low

  * ver 2.1-4 - repackaged for PR1.2

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/control ===
Source: batlevel
Section: user/desktop
Priority: extra
Maintainer: rama kurvakat <rkmaemo@gmx.com>
Build-Depends: debhelper (>= 5) , libqt4-gui , libqt4-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev , mce-dev
Standards-Version: 3.8.1
Homepage: http://batlevel.passiongarage.co.uk

Package: batlevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A QT based widget to display battery level
 Styles and colors can be changed using settings now.
 Polling interval can be changed to keep minimum impact on power consumption.
 The widget stops polling when screen is off to save battery.
 On tapping the battery icon , it displays more detailed information as
 shown by the hal-device bme command.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsQAAA7EAZUrDhsAAARQSURB
 VFhH7VjLbhs3FD0zo7dsWRrZkmKp0xqB0QZIjBpwF0bX+YR+hvMthVPvWyDo
 2qsi2TQtmoWBpl4VaJA46MIvBJWshx3rOWLvpWYGqlpzWMsCsvAFjjgP8vLw
 8PJqSEOQ4QM2Y1qCe3t7OD09hWEY8MfqX5dKJWxubk43fCZ4XdvZ2WH1BRES
 yWRSpNNpkUqlRDQalc8ZXGca41GH2u7urnAcR3bMsCxLRCIRSSBv2+KnH5//
 w8fR4aH4/skTsXr3rqzDdU3TFBaV3LZSqQj2qWOhU/z48Td49GgL6+ufY2Vl
 BbZtI2/nsZDNIpfLoVAoYG3tAZaWCojH43BdF61mE9VqFW8ODnBycoLz83Nc
 EPzy4O1b/PLiBba3t7G1taUMgVCCHE9rD+7jI8fB8p1lVJwKlRWUSkVCSZKk
 aUUikQCpKzvr9XrodrvotNuSVL1eR6PRQL1WQ5XQpOv9/X388OxZELdXsTRV
 9I+OjuRrmhrZ6XA4hDtwMRj00e/3JQn/OdeLxWIBSVay6xHlOhLUhtu1Ox05
 OLbj42OlgkqCrB6bcIfaK3F8NasaDWkA0ndIllMS1GblVfRV9duNhqc2X4Rr
 TbHfSDeTh6kRkCDVdH1qKejNdJgY/3p/JQlyqKMuO9QiqD3c/z2E8AZaBIVh
 YogIXCNKiGFoJAhJCDMNYc0R5mmpZ4DIHIGuI3zNJd+n6V3KQ4LKOCFGGKWk
 MFPmQU4BlPXx5X0Hq46Njys5lO8soFjIULJOwc6lMDcfRzIVoxRjwbJoIK5A
 r+uifdnH+4suWq0uGs22RL3eRq3+HrWzS9Qal/j26W/gVFYul6/kqUVwvQgU
 SRBnESgvASVCMQ8UCLkFIENCJUmkWASUKylRd4D2BYgg0DoHGi1CE6hTWasT
 6FmV8N3vCCWoPcUuRfXAg0utXIvIEASDiFEEBCXoGWgGBc/iOLge31NpWHwT
 bloERx8m5JQISvB1uO8bqaFJ8Eb6upaT2RD05L0JlbUIBglXN/2rtPJ86P6X
 aBEM8r6uJAGJ/2AaqKvnTIugv0iuFURTNtIkOGUvUzSfDcHbRTIxJbeLRBGj
 s4nBKRbFZNPZELxdJLeLRD9IZxOD+v2H1rxRgkY0C4Zvep8Dao5KgsFG3P/M
 Un1u0V7EWnwIK/+Q9gKKTie+3fi8R2VKgvPztFMii8aidIbinUhy6WF0ROmB
 i/YhROdw1N94nQkGJr+LJuXTTIa2qAoLPX779LN7+PP1K3y1kUApO4BTNFAm
 lAqERQN5mtFMxpBbX1i9kXqdGHoXgs4EgWZL4KxBO7qGoB2dQJXwrhnH1z/T
 Cdcnq3j96o/pCPIULBWKOKtVA0e8aTMpwEzSn/b0ow3UWMAJIskqD1kpumbO
 kxOZtRdR++sd+VAvg1AFfVa/vnxJZ3kn0qF/YjZ+ciZDi3+8XV8wmrF73hG6
 dJRXqSzji40NpXL+S22CWt5mUOlv5yemmPHZTi4AAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := batlevel

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /usr/bin/qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into
	#debian/batlevel
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
